Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Interface TransactionHandler

All Known Implementing Classes:
  DefaultTxnHandlerImpl

public interface TransactionHandler

Implemented by classes that customize transaction operations.

Applications that need to control a database transaction's lifecycle can implement this interface to provide a non-standard transaction handler for `DBTransaction` instances. `TransactionHandler` is called by the `DBTransaction` to support multiple platforms, such as EJB, LOCAL, VB (Visibroker), 8i (Oracle8i), and CORBA. Customizations to the transaction processing, if any, should be done by providing a subclass of `DBTransactionImpl`.

The `TransactionHandler` interface provides the abstraction for all these platforms. Application developers should never use the `TransactionHandler` interface directly.

Since:
  JDeveloper 3.0
See Also:
  `DBTransactionImpl`, `DBTransaction`

Method Summary
`void` | `begin()`
`void` | `handleClose(java.sql.Connection c)` Terminates the transaction.
`void` | `handleCommit(java.sql.Connection c, boolean autoStart)` Commits changes to the database.
`void` | `handleOpen(java.sql.Connection conn)` Initializes the transaction.
`void` | `handleRollback(java.sql.Connection c, boolean autoStart)` Discards changes to the database.

Method Detail

### begin

    public void begin()

### handleOpen

    public void handleOpen(java.sql.Connection conn)

  Initializes the transaction.

### handleCommit

    public void handleCommit(java.sql.Connection c,
                             boolean autoStart)

  Commits changes to the database.

### handleRollback

    public void handleRollback(java.sql.Connection c,
                               boolean autoStart)

  Discards changes to the database.

### handleClose

    public void handleClose(java.sql.Connection c)

  Terminates the transaction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD